Subject: FvwmWinList text justification

From: [email-masked]
Date: Tue, 8 Dec 1998 11:28:23 -0600 (CST)

Full_Name: Nadim Saeed
Version: 2.1.4
CVS_Date: 
OS: SunOS 5.5.1 Generic_105428-01 sun4u sparc SUNW,Ultra-5_10
X_Server: 
Submission from: (NULL) (206.71.186.98)

A couple of things,
 
 1. In the man pages for FvwmWinlist it states the following,
 
     *FvwmWinListLeftJustify
          By default, FvwmWinList will center the  icon  text  in
          the  icon.  This option causes it to be justified flush
          with the left edge of the icon.
 
    Note the "default" behavior.  Well, you've guessed it, that's not
    happening under 2.1.4 (actually I think it broke due to the mini-icon
    patches that were introduced in 2.0.46 -- that's one of the reasons I
    kept using 2.0.45).  To recap, the text is left justified by default
and
    there was no way (that I could tell) of modifying it to be center'ed
(I
    looked in the code hoping for a patch, but whoa ?)
 
    NOTE: the main reason I don't use FvwmIconMan is simply due to the
fact
          that IconMan does NOT center justify (I've suggested that to
Brady
          awhile back); yah I know that's rather shallow :-)  The only
reason
          I bring it up is to maybe reduce the number of modules that have
          similar functionalities.
 
    BTW:  I've mentioned this problem during 2.0.46 and I believe
          Grant McDorman ([email-masked]) posted some patches, I had
          problems applying them, so could somebody kind enough look into
          this.
 
 2. REQUEST (*please*, *please*)
    For some reason, unlike 2.0.45, the focused window also forces the
WinList
    button to be pressed.  Could we have the ability to turn that option
    on/off (depending on what is deemed default).  Something like

    *FvwmWinListFocusPressed    /* for a pressed look - default --> OFF */

Here are the pertinent parts of my .fvwm2rc file
#
# FvwmWinList
#
#*FvwmWinListFocusPressed
*FvwmWinListBack Gray59
*FvwmWinListFore Yellow
*FvwmWinListFont -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
*FvwmWinListAction Click1 Iconify -1, Raise, Focus, WarpToWindow 50 50
*FvwmWinListAction Click2 Iconify
*FvwmWinListAction Click3 Iconify -1, move
*FvwmWinListUseSkipList
*FvwmWinListGeometry +0+0
*FvwmWinListFocusFore Aquamarine

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].